<?php

/*

Conexión de API a base de datos de Proyecto Radices: Nosotros.php
- Autor:            Miguel E. Cruz Molina
- # de estudiante:  801-16-1956
- Curso y sección:  CCOM 4027-002
- Intructor:        Prof. Carlos J. Corrada Bravo
- Fecha de última edición: 12/16/2021

Resumen: Este archivo de PHP implementa la clase "Nosotros",
   que establece un pedido de SQL para extraer los datos necesarios
   para generar la página de "sobre nosotros" de la aplicación de Radices.

*/

    class Nosotros {

    private $conn;
    private $id_producto;

    public $imagen;

    public $id_insignia;
    public $nom_insignia;

    public $id_integrante;
    public $nom_integrante;
    public $apellido;
    public $bio_integrante;

    public $imagen_chunk1;
    public $imagen_chunk2;
    public $imagen_chunk3;

    // Constructor:

    public function __construct($database) {
      $this->conn = $database;
    }

    // Obtener insignias de la base de datos:

    public function insignias() {

      $query = "SELECT id_insignia, nom_insignia, imagen
                FROM insignias_coms";

      // Statement:

      $statement = $this->conn->prepare($query);

      $statement->execute();

      return $statement;
    }

    // Obtener datos de integrantes del Proyecto Raíces:

    public function integrantes() {

      $query = "SELECT id_integrante, nom_integrante,
                apellido, bio_integrante, imagen_chunk1,
                imagen_chunk2, imagen_chunk3
                FROM integrantes";

      // Statement:

      $statement = $this->conn->prepare($query);

      $statement->execute();

      return $statement;
    }

    // Obtener texto de tab de misión, visión y valores:

  }
?>
